> For the complete documentation index, see [llms.txt](https://docs.xchandles.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xchandles.com/xchandles-faq.md).

# XCHandles FAQ

Frequently Asked Questions about XCHandles

### What is XCHandles?

XCHandles is, at its core, a decentralized address book. Users can register human-friendly handles such as @yak, which can then be associated with an XCH address, profile picture, display name, and much more. XCHandles is the Chia equivalent of the Ethereum Name Service and the first fully decentralized registry of this kind.

### How much does a handle cost?

New handles are priced based on length. Handles containing at least one number have a 50% discount. The current [pricing puzzle](/technical-manual/pricing-puzzles.md#factor-pricing) has a base price of 5.0 wUSDC.b, which translates to the costs below:

<table><thead><tr><th width="100">Length</th><th width="130" data-type="checkbox">Has Numbers?</th><th width="100">Factor</th><th width="173">Example Handle</th><th>Cost</th></tr></thead><tbody><tr><td>3</td><td>false</td><td>128</td><td>@abc</td><td>640 wUSDC.b per year</td></tr><tr><td>3</td><td>true</td><td>64</td><td>@ab1</td><td>320 wUSDC.b per year</td></tr><tr><td>4</td><td>false</td><td>64</td><td>@abcd</td><td>320 wUSDC.b per year</td></tr><tr><td>4</td><td>true</td><td>32</td><td>@abc1</td><td>160 wUSDC.b per year</td></tr><tr><td>5</td><td>false</td><td>16</td><td>@abcde</td><td>80 wUSDC.b per year</td></tr><tr><td>5</td><td>true</td><td>8</td><td>@a1234</td><td>40 wUSDC.b per year</td></tr><tr><td>6+</td><td>false</td><td>2</td><td>@example</td><td>10 wUSDC.b per year</td></tr><tr><td>6+</td><td>true</td><td>1</td><td>@example1</td><td>5 wUSDC.b per year</td></tr></tbody></table>

### What happens when a handle expires?

Immediately after a handle expires, an [expiration auction](/technical-manual/pricing-puzzles.md#exponential-premium) begins. The handle is valued at the normal price plus a premium. The premium begins at \~100.000.000 wUSDC.b and decreases continuously each second, halving each day. The first user to pay the current auction price will receive the handle. The premium becomes 0 28 days after an auction started, allowing anyone to register the handle at its normal price if no bids have been made.

### How should I refer to XCHandles?

When speaking, you can refer to XCHandles simply as "handles." If you think the underlying blockchain is not shared knowledge, you may also say "X-C-H handles"/"Chia handles." In writing (e.g., messages, UIs, etc.), please write "XCHandles". The only exception to the previous code is Rust code, where "Xchandles" may be used to conform to variable naming standards.

### Who controls pricing?

A price singleton has the ability to update the payment CAT for handles. The singleton also has control over the pricing and expired pricing puzzles, enabling it to change the pricing strategy of XCHandles if needed. The pricing singleton is currently a 6-of-10 multisig controlled by [warp.green validators](https://docs.warp.green/#who-are-the-validators).

### How do I know that XCHandles was properly deployed? <a href="#how-do-i-know-xchandles-was-properly-deployed" id="how-do-i-know-xchandles-was-properly-deployed"></a>

Anyone can use the [slot-machine CLI](https://github.com/Yakuhito/slot-machine/) to verify a deployment by running:

```bash
cargo r xchandles verify-deployment --launcher-id <hex> [--testnet11]
```

On testnet11, the command checks the on-chain registry against trusted CSV files bundled with slot-machine (`xchandles_premine_testnet11.csv` and `xchandles_price_schedule_testnet11.csv`). See the [CLI reference](/technical-manual/cli/xchandles.md#verify-deployment) for details.

To verify the deployment of the root registry on mainnet, you can run:

```bash
cargo r --release xchandles verify-deployment --launcher-id 6f314f69a9cf776311e1c7781a3013e4daae3696c71d8a04d049a5af1530f050 --premine xchandles_premine_mainnet.csv
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xchandles.com/xchandles-faq.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
